## crash

#### OS/161 Reference Manual

### Name

crash - commit various exceptions

### Synopsis

`/testbin/crash` [operation]

### Description

`crash` will perform any one of fourteen illegal processor operations, any one of which should get it killed without causing the whole system to crash.

The operations are coded `a` through `n` and may be chosen on the command line. If no operation is chosen, a menu is displayed and a choice solicited.

### Restrictions

Test `f`, which writes into the process's own code segment, will only cause a processor exception if you implement read-only code segments. Since this is not required, it is not required that test `f` pass.

However, using test `f` must not under any circumstances corrupt the code in the copy of `crash` on disk!

### Requirements

`crash` uses the following system calls:

- read
- write
- _exit

`crash` should operate properly once the basic system call assignment is complete.